// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: Management.proto

package proto.management;

public interface ClanMessageOrBuilder extends
        // @@protoc_insertion_point(interface_extends:management.ClanMessage)
        com.google.protobuf.MessageOrBuilder {

    /**
     * <code>required string sender = 1;</code>
     *
     * @return Whether the sender field is set.
     */
    boolean hasSender();

    /**
     * <code>required string sender = 1;</code>
     *
     * @return The sender.
     */
    java.lang.String getSender();

    /**
     * <code>required string sender = 1;</code>
     *
     * @return The bytes for sender.
     */
    com.google.protobuf.ByteString
    getSenderBytes();

    /**
     * <code>required string clanName = 2;</code>
     *
     * @return Whether the clanName field is set.
     */
    boolean hasClanName();

    /**
     * <code>required string clanName = 2;</code>
     *
     * @return The clanName.
     */
    java.lang.String getClanName();

    /**
     * <code>required string clanName = 2;</code>
     *
     * @return The bytes for clanName.
     */
    com.google.protobuf.ByteString
    getClanNameBytes();

    /**
     * <code>required string message = 3;</code>
     *
     * @return Whether the message field is set.
     */
    boolean hasMessage();

    /**
     * <code>required string message = 3;</code>
     *
     * @return The message.
     */
    java.lang.String getMessage();

    /**
     * <code>required string message = 3;</code>
     *
     * @return The bytes for message.
     */
    com.google.protobuf.ByteString
    getMessageBytes();

    /**
     * <code>required int32 rank = 4;</code>
     *
     * @return Whether the rank field is set.
     */
    boolean hasRank();

    /**
     * <code>required int32 rank = 4;</code>
     *
     * @return The rank.
     */
    int getRank();
}
